"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RotationHelper = void 0;
function orientationToDegrees(orientation) {
  switch (orientation) {
    case 'portrait':
      return 0;
    case 'landscape-right':
      return 90;
    case 'portrait-upside-down':
      return 180;
    case 'landscape-left':
      return 270;
  }
}
class RotationHelper {
  /**
   * Gets or sets the current preview orientation.
   */
  previewOrientation = 'portrait';
  /**
   * Gets or sets the current output orientation.
   */
  outputOrientation = 'portrait';

  /**
   * Gets the current target rotation (in degrees) that needs to be applied
   * to all UI elements so they appear up-right.
   */
  get uiRotation() {
    const previewDegrees = orientationToDegrees(this.previewOrientation);
    const outputDegrees = orientationToDegrees(this.outputOrientation);
    return (previewDegrees + outputDegrees) % 360 - 180;
  }
}
exports.RotationHelper = RotationHelper;
//# sourceMappingURL=RotationHelper.js.map